4 Replies Latest reply: Mar 9, 2010 8:43 AM by 843802 RSS

    What does this mean and how can I fix it?

    843802
      I'm not a Java programmer/developer. I am currently using a MacBook Pro running OSX Snow Leopard and recently came across an application that gives me the following error:

      Application install failed. Incorrect Java 2 vendor (Apple Inc.).
      This application requires Sun Microsystem's Java 2 plug-in version 1.4.2 or higher for your browser.

      Where can I find this plug-in?

      Thank you in advance for you help.
        • 1. Re: What does this mean and how can I fix it?
          793415
          Dano61 wrote:
          I'm not a Java programmer/developer. I am currently using a MacBook Pro running OSX Snow Leopard and recently came across an application that gives me the following error:

          Application install failed. Incorrect Java 2 vendor (Apple Inc.).
          This application requires Sun Microsystem's Java 2 plug-in version 1.4.2 or higher for your browser.
          The 'browser' part indicates an applet to me.

          What information do you get for [java.version & java.vendor|http://pscode.org/prop/?prop=java.version,java.vendor] *(<- link)* on your machine?

          For example, here I get..
          java.version     1.6.0_10
          java.vendor     Sun Microsystems Inc.
          Where can I find this plug-in?
          Sun Microsystems would supply it if it was not obsolete, the current version from Sun is 1.6 (in fact, they might still supply some variants of 1.4). OTOH, Sun was never authorised by Apple to make the JRE for Macs. Apple has always kept it as their responsibility to supply a Java Runtime Environment for the Mac, and getting a new one usually entails upgrading the OS.

          Having said that, I am guessing the real problem here is that the people who deployed the applet:
          1) Made an applet that uses OS specific code (and may not be available on other platforms)
          2) Incorrectly deployed the applet

          Where is this applet? What is the URL where we can visit it?
          • 2. Re: What does this mean and how can I fix it?
            843802
            The applet is ePay and the URL is www.epay.xerox.com

            Unfortunately you need an active S-3 sign-on from Xerox IT to access the actual applet.
            • 3. Re: What does this mean and how can I fix it?
              793415
              Dano61 wrote:
              The applet is ePay and the URL is www.epay.xerox.com

              Unfortunately you need an active S-3 sign-on from Xerox IT to access the actual applet.
              In that case, it seems like this is best taken up with Xerox.
              • 4. Re: What does this mean and how can I fix it?
                843802
                Go ahead and provide the S-3 username and password and I will evaluate. In my experience what you are looking at is an application that checks specifically for the SUN version. It doesnt matter if the code is compatible across platform, it wont run on Apple because the app is coded incorrectly to look only for SUN.